commit: adfebb712af1b1d032307f878770936ba6534775
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 3 06:02:27 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 3 08:52:18 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=adfebb71
dev-python/cfn-python-lint: Bump to 0.53.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/cfn-python-lint/Manifest | 1 +
.../cfn-python-lint/cfn-python-lint-0.53.0.ebuild | 57 ++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/dev-python/cfn-python-lint/Manifest
b/dev-python/cfn-python-lint/Manifest
index e4d5479e366..6ba2044bb1d 100644
--- a/dev-python/cfn-python-lint/Manifest
+++ b/dev-python/cfn-python-lint/Manifest
@@ -1,3 +1,4 @@
DIST cfn-lint-0.50.0.tar.gz 7061105 BLAKE2B
bba39823b729b0a53dcc97341b6408654190bceb86acd7de0e2ee1a4ae34234ca6ddc3a4d374c38115632faa0fbbb51fbf07cf717853dd917a262ef5c1116ac9
SHA512
9dc5c00946a9bb142771a4b63571043056b1f522348f11256d7d3181e750c251cfab805a66df884b496fd7639442da0e72f65c0a43cc2ce2ed35f214031c7b1a
DIST cfn-lint-0.51.0.tar.gz 7125333 BLAKE2B
5f18c03cba52e8f38eb4998ce3640564b6346cd788bc7ca4eebbeebf709fddb130de3fd0c99f5e1585aa07fb965f97ec05d48154bb6788f961c31301058d9ac7
SHA512
6b0eada5204da1c4efbf1a548b74065008bf55142b666aefbc5c1e9311eaaef96e83fd427157be4d3dec98d2e5377ed7f21266af0662e565fdf2aeb6883bb1e4
DIST cfn-lint-0.52.0.tar.gz 7221391 BLAKE2B
20422bb191e9537ba6950db8c40894ab07655389a0a81eff3489f5bcd626bd81c6f9749f885b8be4f4939f16abe62fbbde7c741e770e6265c28bd59740144558
SHA512
81274b973ede2e60ef113d5ec4e2052dc11ed0a85b79079dd1b40e8afae3738cbd963b2e703f5016e216b2844df8711a34ff024e5dc4b1b12e774176bbe88489
+DIST cfn-lint-0.53.0.tar.gz 7501025 BLAKE2B
0f979ff74e020aa192c040bcc633df8133ed77559afd2fa637af0b02f190f516dc7b3bd2154b9e5ecf3e2edcbf624879727ccbcaab81493f450305e6e1790002
SHA512
58d63e1b9ee7cd64ff30e938d98992dca6214945464c27d61b6d6c7e0daab27daa1feb7f2631de172e9cbf1b22699894b7fb7becd7a292b5efeeedd402db3374
diff --git a/dev-python/cfn-python-lint/cfn-python-lint-0.53.0.ebuild
b/dev-python/cfn-python-lint/cfn-python-lint-0.53.0.ebuild
new file mode 100644
index 00000000000..5c43ac1c42b
--- /dev/null
+++ b/dev-python/cfn-python-lint/cfn-python-lint-0.53.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..9} )
+inherit distutils-r1
+
+# TODO: pkgmove to cfn-lint
+MY_P=${P/-python}
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/
https://github.com/aws-cloudformation/cfn-lint/"
+SRC_URI="
+ https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.38.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' python3_6)
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install unittest
+
+PATCHES=(
+ "${FILESDIR}/cfn-python-lint-0.30.1-tests.patch"
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ # requires git checkout
+ sed -e 's:test_update_docs:_&:' \
+ -i test/unit/module/maintenance/test_update_documentation.py ||
die
+ # requires Internet
+ sed -e 's:test_update_resource_specs_python:_&:' \
+ -i test/unit/module/maintenance/test_update_resource_specs.py
|| die
+ distutils-r1_src_prepare
+}